Gecode::Int::Cumulative::PrecOrder Class Reference

Sort by prec array. More...

`#include <edge-finding.hpp>`

## Public Member Functions

| PrecOrder (int *prec0)
| Constructor.
bool | operator() (int i, int j) const
| Sort order.

## Public Attributes

int * | prec

## Detailed Description

Sort by prec array.

Definition at line 55 of file edge-finding.hpp.

## Constructor & Destructor Documentation

## PrecOrder()

Gecode::Int::Cumulative::PrecOrder::PrecOrder | ( | int * | prec0 | ) |

inline

Constructor.

Definition at line 59 of file edge-finding.hpp.

## Member Function Documentation

## operator()()

bool Gecode::Int::Cumulative::PrecOrder::operator() | ( | int | i,
|  | int | j ) const

inline

Sort order.

Definition at line 61 of file edge-finding.hpp.

## Member Data Documentation

## prec

int* Gecode::Int::Cumulative::PrecOrder::prec

Definition at line 57 of file edge-finding.hpp.

The documentation for this class was generated from the following file:

- gecode/int/cumulative/edge-finding.hpp